| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwGenBank.cpp File Reference

Library routines to read and write GenBank sequence files. More...

`#include "rwGenBank.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readGenBank (Bstring &filename, Bmolgroup *molgroup)
| Reads GenBank format sequence files. More...
int | writeGenBank (Bstring &filename, Bmolgroup *molgroup)
| Writes GenBank format sequence files. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write GenBank sequence files.

Author
  Bernard Heymann

Date
  Created: 20030308
  Modified: 20060721

Definition in file rwGenBank.cpp.

## Function Documentation

## ◆ readGenBank()

int readGenBank | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads GenBank format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      GenBank format:
      LOCUS       NP_039940                284 aa            linear   VRL 13-FEB-2003
      DEFINITION  UL6 [Human herpesvirus 5].
      ACCESSION   NP_039940
      ORIGIN
              1 mhakmngwag vrlvthclnt rsrtyvalnm lafartprgv psclfnkvwv sryalvlilm
             61 vcasesstsw avtsnrlpnc stitttagqd aelhgpapls cnvtqwgrye ngstpvlwct
            121 lwgsrtrvsl ghrvafgcsw ktffiynvse ssggty

Definition at line 33 of file rwGenBank.cpp.

## ◆ writeGenBank()

int writeGenBank | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes GenBank format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 123 of file rwGenBank.cpp.

## Variable Documentation

## ◆ verbose

int verbose